Package com.collabnet.ce.soap60.webservices.news

# Class NewsAppSoapMockStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.ClientSoapMockStub
com.collabnet.ce.soap60.webservices.news.NewsAppSoapMockStub

All Implemented Interfaces:
  `INewsAppSoap`

public class NewsAppSoapMockStub extends ClientSoapMockStub implements INewsAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `DATE_WILDCARD, GUIDKEY_WILDCARD, INTEGER_WILDCARD, LONG_WILDCARD, STRING_WILDCARD`

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsAppSoapMockStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NewsPostSoapDO`
  `createNewsPost(String sessionId, String projectId, String title, String body)`
  Simulate a call to createNewsPost
  `void`
  `deleteNewsPost(String sessionId, String postId)`
  Simulate a call to deleteNewsPost
  `void`
  `editNewsPost(String sessionId, String postId, String title, String body)`
  Simulate a call to editNewsPost
  `NewsPostSoapList`
  `findNews(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Simulate a call to findNews
  `NewsPostSoapList`
  `getAllNewsPostList(String sessionId)`
  Simulate a call to getAllNewsPostList
  `NewsPostSoapList`
  `getNewsPostList(String sessionId, String projectId)`
  Simulate a call to getNewsPostList
  `NewsPostSoapList`
  `getNewsPostSoapList(List newsDataList)`
  Simulate a call to getNewsPostSoapList
  `void`
  `prepareCreateNewsPost(String sessionId, String projectId, String title, String body, Object returnValue)`
  Prepare a simulated response to createNewsPost
  `void`
  `prepareDeleteNewsPost(String sessionId, String postId)`
  Prepare a simulated response to deleteNewsPost
  `void`
  `prepareDeleteNewsPost(String sessionId, String postId, Exception exception)`
  Prepare a simulated response to deleteNewsPost
  `void`
  `prepareEditNewsPost(String sessionId, String postId, String title, String body)`
  Prepare a simulated response to editNewsPost
  `void`
  `prepareEditNewsPost(String sessionId, String postId, String title, String body, Exception exception)`
  Prepare a simulated response to editNewsPost
  `void`
  `prepareFindNews(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)`
  Prepare a simulated response to findNews
  `void`
  `prepareGetAllNewsPostList(String sessionId, Object returnValue)`
  Prepare a simulated response to getAllNewsPostList
  `void`
  `prepareGetNewsPostList(String sessionId, String projectId, Object returnValue)`
  Prepare a simulated response to getNewsPostList
  `void`
  `prepareGetNewsPostSoapList(List newsDataList, Object returnValue)`
  Prepare a simulated response to getNewsPostSoapList

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapMockStub

  `addSimulatedResult, addSimulatedResult, addSimulatedResult, getCallCount, getCallParameters, getUnusedCalls, simulateCall`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NewsAppSoapMockStub

    public NewsAppSoapMockStub(String soapServerUrl)

- ## Method Details

  - ### prepareGetNewsPostList

    public void prepareGetNewsPostList(String sessionId, String projectId, Object returnValue)
    Prepare a simulated response to getNewsPostList
    See Also:
      - `NewsAppSoap.getNewsPostList(java.lang.String, java.lang.String)`

  - ### getNewsPostList

    public NewsPostSoapList getNewsPostList(String sessionId, String projectId) throws RemoteException
    Simulate a call to getNewsPostList
    Specified by:
      `getNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of news posts associated with this project.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.getNewsPostList(java.lang.String, java.lang.String)`

  - ### prepareGetNewsPostSoapList

    public void prepareGetNewsPostSoapList(List newsDataList, Object returnValue)
    Prepare a simulated response to getNewsPostSoapList
    See Also:
      - `NewsAppSoap.getNewsPostSoapList(java.util.List)`

  - ### getNewsPostSoapList

    public NewsPostSoapList getNewsPostSoapList(List newsDataList) throws RemoteException
    Simulate a call to getNewsPostSoapList
    Throws:
      `RemoteException`
    See Also:
      - `NewsAppSoap.getNewsPostSoapList(java.util.List)`

  - ### prepareGetAllNewsPostList

    public void prepareGetAllNewsPostList(String sessionId, Object returnValue)
    Prepare a simulated response to getAllNewsPostList
    See Also:
      - `NewsAppSoap.getAllNewsPostList(java.lang.String)`

  - ### getAllNewsPostList

    public NewsPostSoapList getAllNewsPostList(String sessionId) throws RemoteException
    Simulate a call to getAllNewsPostList
    Specified by:
      `getAllNewsPostList` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
    Returns:
      List of all news posts associated with user's projects.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.getAllNewsPostList(java.lang.String)`

  - ### prepareCreateNewsPost

    public void prepareCreateNewsPost(String sessionId, String projectId, String title, String body, Object returnValue)
    Prepare a simulated response to createNewsPost
    See Also:
      - `NewsAppSoap.createNewsPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### createNewsPost

    public NewsPostSoapDO createNewsPost(String sessionId, String projectId, String title, String body) throws RemoteException
    Simulate a call to createNewsPost
    Specified by:
      `createNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
      `title` - News post title.
      `body` - News post body.
    Returns:
      Newly created new item data.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.createNewsPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareEditNewsPost

    public void prepareEditNewsPost(String sessionId, String postId, String title, String body)
    Prepare a simulated response to editNewsPost
    See Also:
      - `NewsAppSoap.editNewsPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareEditNewsPost

    public void prepareEditNewsPost(String sessionId, String postId, String title, String body, Exception exception)
    Prepare a simulated response to editNewsPost
    See Also:
      - `NewsAppSoap.editNewsPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### editNewsPost

    public void editNewsPost(String sessionId, String postId, String title, String body) throws RemoteException
    Simulate a call to editNewsPost
    Specified by:
      `editNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - Post id.
      `title` - News post title.
      `body` - News post body.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified post id is invalid.
      `IllegalArgumentFault` - when one or more parameters are invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.editNewsPost(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

  - ### prepareDeleteNewsPost

    public void prepareDeleteNewsPost(String sessionId, String postId)
    Prepare a simulated response to deleteNewsPost
    See Also:
      - `NewsAppSoap.deleteNewsPost(java.lang.String, java.lang.String)`

  - ### prepareDeleteNewsPost

    public void prepareDeleteNewsPost(String sessionId, String postId, Exception exception)
    Prepare a simulated response to deleteNewsPost
    See Also:
      - `NewsAppSoap.deleteNewsPost(java.lang.String, java.lang.String)`

  - ### deleteNewsPost

    public void deleteNewsPost(String sessionId, String postId) throws RemoteException
    Simulate a call to deleteNewsPost
    Specified by:
      `deleteNewsPost` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `postId` - News post id.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.deleteNewsPost(java.lang.String, java.lang.String)`

  - ### prepareFindNews

    public void prepareFindNews(String sessionId, String queryString, String projectId, boolean searchAttachments, Object returnValue)
    Prepare a simulated response to findNews
    See Also:
      - `NewsAppSoap.findNews(java.lang.String, java.lang.String, java.lang.String, boolean)`

  - ### findNews

    public NewsPostSoapList findNews(String sessionId, String queryString, String projectId, boolean searchAttachments) throws RemoteException
    Simulate a call to findNews
    Specified by:
      `findNews` in interface `INewsAppSoap`
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find news posts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of posts matching search criteria.
    Throws:
      `InvalidSessionFault` - when the specified session id is invalid.
      `NoSuchObjectFault` - when the specified project id is invalid.
      `PermissionDeniedFault` - when the user has insufficient privileges.
      `SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
      `SystemFault` - when an unexpected system level error occurs.
      `RemoteException`
    See Also:
      - `NewsAppSoap.findNews(java.lang.String, java.lang.String, java.lang.String, boolean)`